/**
 * ### Платформа
 * Основная точка доступа к данным.
 *
 * ```bash
 * // доступ
 * ps.pl
 * ```
 *
 * Доступные менеджеры у платформы:
 * - {@link GroupTypes} - Менеджер, который позволяет получить данные по типу компонента, определен как **gtm**
 * - {@link EventTypes} - Менеджер, который позволяет получить данные по типу события, определен как **etm**
 * - {@link ModelTypes} - Менеджер, который позволяет узнать о содержимом модели **mtm**
 * - {@link Models} - Менеджер, для доступа к устройствам, определен как **mm**
 * - {@link Trees} - Менеджер, для доступа к деревьям, определен как **tm**
 * - {@link CoreConfig} - Менеджер, для доступа к конфигу платформы, определен как **core_config**
 * - {@link CoreErrors} - Менеджер, для доступа к списку ошибок, определен как **core_errors**
 * - {@link CoreTranslations} - Менеджер, для доступа к переводам, определен как **translations**
 * - {@link Datasource} - Менеджер, для к каталогу датасорсов, определен как **datasources**
 * - {@link UserManager} - Менеджер, для доступа к данным пользоваталей, определен как **users**
 *
 * @group providers_interface
 * @namespace Platform
 */
function Platform() {
    /**
     * @public
     * @name tm
     * @type {Trees}
     * @memberof Platform
     */
    this.tm = new Trees();

    /**
     *
     * @public
     * @name mm
     * @type {Models}
     * @memberof Platform
     */
    this.mm = new Models();

    /**
     *
     * @public
     * @name mtm
     * @type {ModelTypes}
     * @memberof Platform
     */
    this.mtm = new ModelTypes();

    /**
     *
     * @public
     * @name gtm
     * @type {GroupTypes}
     * @memberof Platform
     */
    this.gtm = new GroupTypes();

    /**
     *
     * @public
     * @name etm
     * @type {EventTypes}
     * @memberof Platform
     */
    this.etm = new EventTypes();

    /**
     *
     * @public
     * @name translations
     * @type {CoreTranslations}
     * @memberof Platform
     */
    this.translations = new CoreTranslations();

    /**
     *
     * @public
     * @name core_config
     * @type {CoreConfig}
     * @memberof Platform
     */
    this.core_config = new CoreConfig();

    /**
     *
     * @public
     * @name core_errors
     * @type {CoreErrors}
     * @memberof Platform
     */
    this.core_errors = new CoreErrors();

    /**
     *
     * @public
     * @name datasources
     * @type {Datasource}
     * @memberof Platform
     */
    this.datasources = new Datasource();

    /**
     *
     * @public
     * @name users
     * @type {UserManager}
     * @memberof Platform
     */
    this.users = new UserManager();

    /**
     *
     * @public
     * @function m_sys_addr
     * @memberof Platform
     * @returns {v2.address}
     */
    this.m_sys_addr = function () {

    };

    /**
     *
     * @public
     * @function m_address
     * @memberof Platform
     * @returns {v2.address}
     */
    this.m_address = function () {

    };

}